Top Posts

Despedida da IBM

Continue lendo

Problem project facet java version 6.0 Eclipse

Posted by camilolopes | Posted in AngularJS | Posted on 07-10-2010

0

Olá Pessoal,

Hoje vou falar de um pequeno problema que tive com o Eclipse & Facet, foi uma experiencia meia chata, pois gastei horas. Tive que fazer uma migração de máquina, e lá vai eu instalar todo ambiente de desenvolvimento no novo laptop. Preparar o ambiente é rápido e fácil, porem os problemas começam quando começamos a importar os projetos para o Eclipse. Então neste post vou apresentar um probleminha que tive e tirou meu sossego e acho que alguem pode passar um dia, então terá a solução…

Lets go…

A situação

Vc está todo feliz, pois já instalou o seu servidor (no meu caso tomcat 6), java JDK, banco de dados, IDE (eclipse), Jboss tools instalado e agora quer importar os projetos para o “novo” Elipse. Faz a devida importação do projeto , porem ao tentar rodar recebe a mensagem a seguir:

project facet java version 6.0 is not supported

erroreclipsetom

Ai vc louco,perdido, desesperado:

– remove o TomCat e reinstala

– cria um novo workspace e testa um projeto novo e tudo funciona, menos com o projeto que foi importado

– ver configurações de variáveis de ambiente etc

Mas nada de funcionar. E aonde está o problema?

Solução

Bem, o problema é que precisa configurar o projeto para JDK 1.5 e o facet também para a versão Java 5. Para isso, clique com o botão direito no projeto >> Properties e deixe conforme a imagem abaixo:

facetjava5

Observe que mudei em Project Facets a version do Java para 5. E verifique se o Java Compiler está a versão 1.5. Salve e teste o projeto.

Vou ficando por aqui, espero que tenham gostado da dica.

Abracos, see you!!

Related Posts with Thumbnails

Write a comment